MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# decoder Struct Reference

`#include <decoder_internal.h>`

## Data Fields
struct decoder_control * | dc
struct pcm_convert_state | conv_state
double | timestamp
| The time stamp of the next data chunk, in seconds.
bool | seeking
struct tag * | song_tag
| The tag from the song object.
struct tag * | stream_tag
| the last tag received from the stream
struct tag * | decoder_tag
| the last tag received from the decoder plugin
struct music_chunk * | chunk
| the chunk currently being written to
struct replay_gain_info | replay_gain_info
unsigned | replay_gain_serial
| A positive serial number for checking if replay gain info has changed since the last check.

## Detailed Description

Definition at line 29 of file decoder_internal.h.

## Field Documentation

struct music_chunk* decoder::chunk

the chunk currently being written to

Definition at line 55 of file decoder_internal.h.

struct pcm_convert_state decoder::conv_state

Definition at line 32 of file decoder_internal.h.

struct decoder_control* decoder::dc

Definition at line 30 of file decoder_internal.h.

struct tag* decoder::decoder_tag

the last tag received from the decoder plugin

Definition at line 52 of file decoder_internal.h.

struct replay_gain_info decoder::replay_gain_info

Definition at line 57 of file decoder_internal.h.

unsigned decoder::replay_gain_serial

A positive serial number for checking if replay gain info has changed since the last check.

Definition at line 63 of file decoder_internal.h.

bool decoder::seeking

Definition at line 39 of file decoder_internal.h.

struct tag* decoder::song_tag

The tag from the song object.

This is only used for local files, because we expect the stream server to send us a new tag each time we play it.

Definition at line 46 of file decoder_internal.h.

struct tag* decoder::stream_tag

the last tag received from the stream

Definition at line 49 of file decoder_internal.h.

double decoder::timestamp

The time stamp of the next data chunk, in seconds.

Definition at line 37 of file decoder_internal.h.

The documentation for this struct was generated from the following file:

- src/decoder_internal.h